## command-edge-data command-edge-data |

## Synopsis

    #define             COMMAND_EDGE_DATA_DEFAULT_WEIGHT
    #define             COMMAND_EDGE_DATA_WEIGHT_DELTA
    Boolean             command_edge_data_equals            (const Object data_1,
                                                             const Object data_2);
    void                command_edge_data_free              (const Command_Edge_Data data);
    Command_Edge_Data   command_edge_data_create            (const float weight);
    void                command_edge_data_set_weight        (const Command_Edge_Data data,
                                                             const float weight);
    float               command_edge_data_get_weight        (const Command_Edge_Data data);
    void                command_edge_data_dump_text         (const Command_Edge_Data data,
                                                             FILE *stream);
    void                command_edge_data_dump_binary       (const Command_Edge_Data data,
                                                             FILE *stream);

## Description

## Details

### COMMAND_EDGE_DATA_DEFAULT_WEIGHT

    #define COMMAND_EDGE_DATA_DEFAULT_WEIGHT 1.0

### COMMAND_EDGE_DATA_WEIGHT_DELTA

    #define COMMAND_EDGE_DATA_WEIGHT_DELTA 1.0

### command_edge_data_equals ()

    Boolean             command_edge_data_equals            (const Object data_1,
                                                             const Object data_2);

`data_1` : |
`data_2` : |
Returns : |

### command_edge_data_free ()

    void                command_edge_data_free              (const Command_Edge_Data data);

`data` : |

### command_edge_data_create ()

    Command_Edge_Data   command_edge_data_create            (const float weight);

`weight` : |
Returns : |

### command_edge_data_set_weight ()

    void                command_edge_data_set_weight        (const Command_Edge_Data data,
                                                             const float weight);

`data` : |
`weight` : |

### command_edge_data_get_weight ()

    float               command_edge_data_get_weight        (const Command_Edge_Data data);

`data` : |
Returns : |

### command_edge_data_dump_text ()

    void                command_edge_data_dump_text         (const Command_Edge_Data data,
                                                             FILE *stream);

`data` : |
`stream` : |

### command_edge_data_dump_binary ()

    void                command_edge_data_dump_binary       (const Command_Edge_Data data,
                                                             FILE *stream);

`data` : |
`stream` : |